# Update timeRegistrationEntries
Update a timeRegistrationEntry in Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
PATCH businesscentralPrefix/companies({companyId})/timeRegistrationEntries({timeregistrationId})
PATCH businesscentralPrefix/companies({companyId})/employees({employeeId})/timeRegistrationEntries({timeregistrationId})
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
If-Match|Required. When this request header is included and the eTag provided doesn't match the current tag on the timeRegistrationEntry, the timeRegistrationEntry won't be updated.
## Example
Request
Here's an example of the request.
```json
PATCH https://{businesscentralPrefix}/api/v2.0/companies({id})/timeRegistrationEntries({timeregistrationId})
Content-type: application/json

{
    "quantity": 8
}
```
Response
Here's an example of the response.
> NOTE
> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
```json
HTTP/1.1 200 OK
Content-type: application/json

{
    "id": "1a8b1fec-c0e3-ea11-aa60-000d3ad7cacb",
    "employeeId": "258bb9c0-44e3-ea11-bb43-000d3a2feca1",
    "employeeNumber": "AH",
    "jobId": "00000000-0000-0000-0000-000000000000",
    "jobNumber": "",
    "jobTaskNumber": "",
    "absence": "",
    "lineNumber": 10000,
    "date": "2019-02-02",
    "quantity": 8,
    "status": "Open",
    "unitOfMeasureId": "56a6738a-44e3-ea11-bb43-000d3a2feca1",
    "unitOfMeasureCode": "HOUR",
    "lastModfiedDateTime": "2020-08-21T15:13:58.87Z"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../../../webservices/dynamics-error-codes
timeRegistrationEntries<../resources/dynamics_timeregistrationentry>
Get timeRegistrationEntries<dynamics_timeregistrationentry_get>
Post timeRegistrationEntries<dynamics_timeregistrationentry_create>
Delete timeRegistrationEntries<dynamics_timeregistrationentry_delete>

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_timeregistrationentry_update, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_timeregistrationentry_update/
